package com.xzzn.ems.domain.vo;

/**
 * 时间配置显示对象
 *
 * @author xzzn
 * @date 2025-07-12
 */
public class StrategyTimeConfigVo
{
    /**  */
    private Long id;

    /** 关联的策略ID */
    private Long strategyId;

    /** 月份，1-12 */
    private Long month;

    /** 站点id */
    private String siteId;

    /** 充放电模式 */
    private String chargeDischargeMode;

    /** 模板id */
    private String templateId;

    /** 模板名称 */
    private String templateName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }

    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }

    public void setChargeDischargeMode(String chargeDischargeMode)
    {
        this.chargeDischargeMode = chargeDischargeMode;
    }

    public String getChargeDischargeMode()
    {
        return chargeDischargeMode;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setTemplateId(String templateId)
    {
        this.templateId = templateId;
    }

    public String getTemplateId()
    {
        return templateId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }
}
